package com.heyu.api.data.service.device;
/**
* <p>
* 设备信息对话记录表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.device.DeviceUserTalkRecordEntity;
public interface DeviceUserTalkRecordService extends IService<DeviceUserTalkRecordEntity> {



	DeviceUserTalkRecordEntity selectDeviceUserTalkRecordById(Long id);


	Long insertDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	Long insertOrUpdateDeviceUserTalkRecord(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int updateDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int updateCoverDeviceUserTalkRecordById(DeviceUserTalkRecordEntity deviceUserTalkRecord);


	int deleteDeviceUserTalkRecordById(Long id);


}